package com.philisense.rdgo.bean.response;

import java.io.Serializable;
import java.util.List;

/**
 * Created by shaop on 2017/12/18.
 */

public class BoxInfoBean implements Serializable{
    /**
     * success : 0
     * message : 查询成功!
     * data : {"pileBoxNumber":48,"warehouse":"szck6666","line":"scx666","typeName":"红蜻蜓5L","brand":"红蜻蜓","gene":1,"level":"一级","capacity":"5L","pileId":"314886.0801337338","status":0,"bottleNum":4,"operator":"老张","bottleIds":["643574.2448905337","396329.6307861503","775855.3613139545","493068.72482871"]}
     */

    private int success;
    private String message;
    private DataBean data;

    public int getSuccess() {
        return success;
    }

    public void setSuccess(int success) {
        this.success = success;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public DataBean getData() {
        return data;
    }

    public void setData(DataBean data) {
        this.data = data;
    }

    public static class DataBean implements Serializable{
        /**
         * pileBoxNumber : 48
         * warehouse : szck6666
         * line : scx666
         * typeName : 红蜻蜓5L
         * brand : 红蜻蜓
         * gene : 1
         * level : 一级
         * capacity : 5L
         * pileId : 314886.0801337338
         * status : 0
         * bottleNum : 4
         * operator : 老张
         * bottleIds : ["643574.2448905337","396329.6307861503","775855.3613139545","493068.72482871"]
         * boxid
         *
         */

        private int pileBoxNumber;
        private String warehouse;
        private String line;
        private String typeName;
        private String typeCode;
        private String brand;
        private int gene;
        private String level;
        private String capacity;
        private String pileId;
        private int status;
        private int bottleNum;
        private String operator;
        private List<String> bottleIds;
        private String boxId;
        private String name;
        private List<String> boxIn;

        public List<String> getBoxIn() {
            return boxIn;
        }

        public void setBoxIn(List<String> boxIn) {
            this.boxIn = boxIn;
        }


        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public void setBoxId(String boxId) {
            this.boxId = boxId;
        }

        public String getBoxId() {
            return boxId;
        }

        public String getTypeCode() {
            return typeCode;
        }

        public void setTypeCode(String typeCode) {
            this.typeCode = typeCode;
        }

        public int getPileBoxNumber() {
            return pileBoxNumber;
        }

        public void setPileBoxNumber(int pileBoxNumber) {
            this.pileBoxNumber = pileBoxNumber;
        }

        public String getWarehouse() {
            return warehouse;
        }

        public void setWarehouse(String warehouse) {
            this.warehouse = warehouse;
        }

        public String getLine() {
            return line;
        }

        public void setLine(String line) {
            this.line = line;
        }

        public String getTypeName() {
            return typeName;
        }

        public void setTypeName(String typeName) {
            this.typeName = typeName;
        }

        public String getBrand() {
            return brand;
        }

        public void setBrand(String brand) {
            this.brand = brand;
        }

        public int getGene() {
            return gene;
        }

        public void setGene(int gene) {
            this.gene = gene;
        }

        public String getLevel() {
            return level;
        }

        public void setLevel(String level) {
            this.level = level;
        }

        public String getCapacity() {
            return capacity;
        }

        public void setCapacity(String capacity) {
            this.capacity = capacity;
        }

        public String getPileId() {
            return pileId;
        }

        public void setPileId(String pileId) {
            this.pileId = pileId;
        }

        public int getStatus() {
            return status;
        }

        public void setStatus(int status) {
            this.status = status;
        }

        public int getBottleNum() {
            return bottleNum;
        }

        public void setBottleNum(int bottleNum) {
            this.bottleNum = bottleNum;
        }

        public String getOperator() {
            return operator;
        }

        public void setOperator(String operator) {
            this.operator = operator;
        }

        public List<String> getBottleIds() {
            return bottleIds;
        }

        public void setBottleIds(List<String> bottleIds) {
            this.bottleIds = bottleIds;
        }
    }
}
